import { Injectable } from '@angular/core';
import { ConfigService } from '@shared/config/config.service';
import { FleioApiService } from '../../fleio-api.service';
import { HttpClient } from '@angular/common/http';
import { IRBACPolicyModel } from '@fleio-api/openstack/model/rbac-policy.model';

@Injectable({
  providedIn: 'root'
})
export class RbacPoliciesApiService extends FleioApiService<IRBACPolicyModel> {
  constructor(protected httpClient: HttpClient, protected config: ConfigService) {
    super();
    this.setEndpoint(config.getPanelApiUrl('openstack/rbac-policies'));
  }
}
